import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MCPeerID extends _NSObject {
    static alloc(): _MCPeerID;
    static new(): _MCPeerID;
    init(): _MCPeerID;
    initWithDisplayName$(myDisplayName: _NSString): _MCPeerID;
    displayName(): _NSString;
}
export interface _MCPeerID extends _NSCopying, _NSSecureCoding {
}
